name: natural-prime
version: 1.85
description: Prime natural numbers
author: Joe Leslie-Hurd <joe@gilith.com>
license: MIT
homepage: http://opentheory.gilith.com/?pkg=natural-prime
requires: base
requires: natural-divides
requires: stream
show: "Data.Bool"
show: "Data.List"
show: "Data.Pair"
show: "Data.Stream"
show: "Function"
show: "Number.Natural"
show: "Number.Natural.Prime.Sieve" as "Sieve"
hol-light-int-file: hol-light.int
hol-light-thm-file: hol-light.art
haskell-name: opentheory-prime
haskell-category: Number Theory
haskell-int-file: haskell.int
haskell-src-file: haskell.art
haskell-test-file: haskell-test.art

def {
  package: natural-prime-def-1.44
  checksum: d70db2919bb037de6c953723384ccd8785265794
}

thm {
  import: def
  package: natural-prime-thm-1.54
  checksum: fcdf3d8dd9f042fade8f83763add4fe0237c84a1
}

stream {
  import: thm
  package: natural-prime-stream-1.30
  checksum: eba2649156e3d49954df2a8990e9d3a4a2be99c8
}

sieve {
  import: stream
  package: natural-prime-sieve-1.31
  checksum: 70ea33d61dd90112c368d47120ebaa169adbc41a
}

main {
  import: def
  import: thm
  import: stream
  import: sieve
}
